mscorlib 2.0.0.0 4.0.0.0 System.Object

An ACE contains both an ACE header and a binary blob. The header contains information about the type of the ACE, various flags, and the size of the binary blob.

Represents an Access Control Entry (ACE), and is the base class for all other ACE classes.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceFlags To be added.

  An object contains flags that specify information about the inheritance, inheritance propagation, and auditing conditions for an Access Control Entry (ACE).

  Gets or sets the associated with this object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AceType To be added. To be added.

  Gets the type of this Access Control Entry (ACE).

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.AuditFlags To be added. To be added.

  Gets the audit information associated with this Access Control Entry (ACE).

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the length, in bytes, of the binary representation of the current object. This length should be used before marshaling the ACL into a binary array with the method.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.GenericAce To be added.

  Creates a deep copy of this Access Control Entry (ACE).

  The object that this method creates.

- Method
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.GenericAce `` `` To be added.

  Creates a object from the specified binary data.

  The object this method creates.

  The binary data from which to create the new object. The offset at which to begin unmarshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the specified object is equal to the current object.

  true if the specified object is equal to the current object; otherwise, false.

  The object to compare to the current object.
- Method
  2.0.0.0
  4.0.0.0
  System.Void `` `` To be added.

  Marshals the contents of the object into the specified byte array beginning at the specified offset.

  The byte array into which the contents of the is marshaled. The offset at which to start marshaling.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32 To be added.

  Serves as a hash function for the class. The method is suitable for use in hashing algorithms and data structures like a hash table.

  A hash code for the current object.

- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.InheritanceFlags To be added. To be added.

  Gets flags that specify the inheritance properties of this Access Control Entry (ACE).

- Property
  2.0.0.0
  4.0.0.0
  System.Boolean To be added. To be added.

  Gets a Boolean value that specifies whether this Access Control Entry (ACE) is inherited or is set explicitly.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether the specified objects are considered equal.

  true if the two objects are equal; otherwise, false.

  The first object to compare. The second to compare.
- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` `` To be added.

  Determines whether the specified objects are considered unequal.

  true if the two objects are unequal; otherwise, false.

  The first object to compare. The second to compare.
- Property
  2.0.0.0
  4.0.0.0
  System.Security.AccessControl.PropagationFlags To be added. To be added.

  Gets flags that specify the inheritance propagation properties of this Access Control Entry (ACE).